module  Data.Carbonara.Char where

import           Data.Char (isAlpha, isAlphaNum, isAscii, isDigit, isPunctuation, isSpace)

isNotAlpha :: Char -> Bool
isNotAlpha = not . isAlpha

isNotAlphaNum :: Char -> Bool
isNotAlphaNum = not . isAlphaNum

isNotAscii :: Char -> Bool
isNotAscii = not . isAscii

isNotDigit :: Char -> Bool
isNotDigit = not . isDigit

isNotPunctuation :: Char -> Bool
isNotPunctuation = not . isPunctuation

isNotSpace :: Char -> Bool
isNotSpace = not . isSpace

